summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com>2015-12-21 12:42:53 +0100
committerJeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com>2015-12-21 12:42:53 +0100
commit09a48795b0bf21e1313786b0838e5639e2f0672f (patch)
treec447339e4c821650b6fc093041ad34229eb1a9d5
parent773a6549c97430a208ebb08584b5b83f5b6a4855 (diff)
downloaddocker-09a48795b0bf21e1313786b0838e5639e2f0672f.tar.gz
Update entrypoint.sh to always have a retval
-rwxr-xr-xci/entrypoint.sh12
1 files changed, 7 insertions, 5 deletions
diff --git a/ci/entrypoint.sh b/ci/entrypoint.sh
index bb66db1..5bf4d28 100755
--- a/ci/entrypoint.sh
+++ b/ci/entrypoint.sh
@@ -72,18 +72,20 @@ else
popd
fi
+retval=0
+
if [ -x "$(which yum 2>/dev/null)" ]; then
- yum clean metadata
- yum -y update
- rpmdev-setuptree
+ yum clean metadata; retval=$(( ${retval} + $? ))
+ yum -y update; retval=$(( ${retval} + $? ))
+ rpmdev-setuptree; retval=$(( ${retval} + $? ))
elif [ -x "$(which apt-get 2>/dev/null)" ]; then
- apt-get update
+ apt-get update; retval=$(( ${retval} + $? ))
fi
pushd /srv/${PACKAGE}.git
if [ ! -z "${COMMIT}" ]; then
- git checkout ${COMMIT}; retval=$?
+ git checkout ${COMMIT}; retval=$(( ${retval} + $? ))
fi
# TODO: A differential has a base commit.